<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <IsAspireHost>true</IsAspireHost>
    <UserSecretsId>071e9371-93a9-4a01-8dd5-d848b63ba79a</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Aspire.Hosting.AppHost" Version="8.1.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.10">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="System.Text.Json" Version="8.0.5" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Modules.Library.WebApi\Modules.Library.WebApi.csproj" />
    <ProjectReference Include="..\Modules.User.WebApi\Modules.User.WebApi.csproj" />
    <ProjectReference Include="..\MyBookmark.UI.RazorPages\MyBookmark.UI.RazorPages.csproj" />
    <ProjectReference Include="..\MyBookmark\MyBookmark.csproj" />
  </ItemGroup>

</Project>
